Subject: RE: [Sip] Question about ACK for None-200 Response

From: "Chen, Xin (Xin)" <[email-masked]>
Date: Thu, 1 Nov 2001 16:01:45 -0000

If this is a non-2xx response for a Re-INVITE, then a route set will be
established. But I agree, nothing special will happen even the ACK has route
header, I even feel it is better. Becuase this help the stateless proxy to
route the ACK easily.

Regards

Xin Chen

Lucent Technologies
Tel: +44 1793 883137
Mobile: +44 7799 034668

-----Original Message-----
From: Vijay Gurbani [mailto:[email-masked]]
Sent: 01 November 2001 15:51
To: Chen, Xin (Xin)
Cc: SIP LIST
Subject: Re: [Sip] Question about ACK for None-200 Response

"Chen, Xin (Xin)" wrote:
> 
> Dear Vijay,
> 
> Thanks for your answer.
> 
> Another question: Why the ACK for non-2xx must not have route header? 

Because it is hop by hop.

> What happens if it has?

Nothing drastic, I would presume.  The receiving UAS will stop retxing the
response.  Since the UAS sent a non-2xx response, a route list is never
established.

- vijay
-- 
Vijay K. Gurbani  vkg@{lucent.com,research.bell-labs.com,acm.org}
Internet Software and eServices Group 
Lucent Technologies/Bell Labs Innovations, 2000 Lucent Lane, Rm 6G-440
Naperville, Illinois 60566     Voice: +1 630 224 0216   Fax: +1 630 713 0184

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip